// Sample provide from www.nitrio.com for DGArt iPad 
// Overlay SpriteKit on SceneKit

import UIKit
import SpriteKit

class OverlayScene: SKScene {
    
    var scoreNode: SKLabelNode!
    
    var score = 0 {
        didSet {
            self.scoreNode.text = "Score: \(self.score)"
        }
    }
    
    override init(size: CGSize) {
        super.init(size: size)
        
        self.backgroundColor = UIColor.clear
        self.isUserInteractionEnabled = false
        
        self.scoreNode = SKLabelNode(text: "Score: 0")
        self.scoreNode.fontName = "Verdana"
        self.scoreNode.fontColor = UIColor.white
        self.scoreNode.fontSize = 32
        self.scoreNode.position = CGPoint(x: 100, y: size.height - 100)
        
        self.addChild(self.scoreNode)
    }
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
}
